curl --request GET \
--url https://api.bridge.xyz/v0/rfis/{rfiID} \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/rfis/{rfiID}"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/rfis/{rfiID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridge.xyz/v0/rfis/{rfiID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bridge.xyz/v0/rfis/{rfiID}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bridge.xyz/v0/rfis/{rfiID}")
.header("Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridge.xyz/v0/rfis/{rfiID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "rfi_ah4nyoi9pcbrgl3mnu092l6b",
"state": "on_developer",
"customer_id": "cust_c6ednm25xanjrx1yzz5s4t8n",
"referent_id": "transfer_hmyt7lyjqr0h39s5g87lo0jn",
"referent_type": "transfer",
"bridge_action_taken": null,
"expected_action_on_expiry": "pause_customer",
"deadline": "2026-08-15T00:00:00.000Z",
"requested_items": [
{
"content": "What is the source of funds for this payment? Please provide supporting documentation (bank or investment statement, pay stub, invoice, receipt or contract)."
}
],
"additional_context": null,
"dashboard_url": "https://dashboard.bridge.xyz/rfis/rfi_ah4nyoi9pcbrgl3mnu092l6b",
"state_changed_at": "2026-08-01T00:00:00.000Z",
"created_at": "2026-08-01T00:00:00.000Z",
"closed_at": null
}Get an RFI
Retrieve a single request for information (RFI) by id
curl --request GET \
--url https://api.bridge.xyz/v0/rfis/{rfiID} \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/rfis/{rfiID}"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/rfis/{rfiID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridge.xyz/v0/rfis/{rfiID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bridge.xyz/v0/rfis/{rfiID}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bridge.xyz/v0/rfis/{rfiID}")
.header("Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridge.xyz/v0/rfis/{rfiID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "rfi_ah4nyoi9pcbrgl3mnu092l6b",
"state": "on_developer",
"customer_id": "cust_c6ednm25xanjrx1yzz5s4t8n",
"referent_id": "transfer_hmyt7lyjqr0h39s5g87lo0jn",
"referent_type": "transfer",
"bridge_action_taken": null,
"expected_action_on_expiry": "pause_customer",
"deadline": "2026-08-15T00:00:00.000Z",
"requested_items": [
{
"content": "What is the source of funds for this payment? Please provide supporting documentation (bank or investment statement, pay stub, invoice, receipt or contract)."
}
],
"additional_context": null,
"dashboard_url": "https://dashboard.bridge.xyz/rfis/rfi_ah4nyoi9pcbrgl3mnu092l6b",
"state_changed_at": "2026-08-01T00:00:00.000Z",
"created_at": "2026-08-01T00:00:00.000Z",
"closed_at": null
}Authorizations
Path Parameters
A UUID that uniquely identifies a resource
1 - 42[a-z0-9]*Response
Successful RFI response
A UUID that uniquely identifies a resource
1 - 42[a-z0-9]*The current state of the RFI: on_developer means Bridge is waiting on a response from you, on_bridge means Bridge is reviewing a response you submitted, closed means no further action is needed
on_developer, on_bridge, closed The time by which a response to this RFI is expected
The items Bridge is asking the developer to provide for this RFI
Show child attributes
Show child attributes
A link to view and respond to this RFI in the Bridge dashboard
The time the RFI was created
The customer this RFI is associated with, if any
1 - 42[a-z0-9]*The id of the record (transfer, drain, deposit, or card account) this RFI relates to, if any. Resolve it against the endpoint named by referent_type
The type of record that referent_id refers to
transfer, drain, deposit, card_account An action Bridge has already taken as a result of this RFI, if any
customer_paused, transaction_paused The action Bridge expects to take if this RFI expires without a response, if any
pause_customer Additional free-text detail about the request, when Bridge has provided it. Not every RFI includes this field
The time the RFI's state last changed
The time the RFI was closed, if it has been
Was this page helpful?